be.cin.nip.async.generic

## Class QueryParameters

- java.lang.Object
- - be.cin.nip.async.generic.QueryParameters

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class QueryParameters
      extends Object
      implements Serializable

  Java class for QueryParameters complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="QueryParameters">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="includeIOs" type="{urn:be:cin:types:v1}StringList"/>
               <element name="excludeIOs" type="{urn:be:cin:types:v1}StringList"/>
               <element name="tackMessageNames" type="{urn:be:cin:types:v1}StringList" minOccurs="0"/>
             </sequence>
             <attribute name="Reference" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getExcludeIOs()` Gets the value of the excludeIOs property.
    `List<String>` | `getIncludeIOs()` Gets the value of the includeIOs property.
    `String` | `getReference()` Gets the value of the reference property.
    `List<String>` | `getTackMessageNames()` Gets the value of the tackMessageNames property.
    `void` | `setReference(String value)` Sets the value of the reference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryParameters

          public QueryParameters()

  - ### Method Detail

    - #### getIncludeIOs

          public List<String> getIncludeIOs()

      Gets the value of the includeIOs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the includeIOs property.

      For example, to add a new item, do as follows:

              getIncludeIOs().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getExcludeIOs

          public List<String> getExcludeIOs()

      Gets the value of the excludeIOs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the excludeIOs property.

      For example, to add a new item, do as follows:

              getExcludeIOs().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getTackMessageNames

          public List<String> getTackMessageNames()

      Gets the value of the tackMessageNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tackMessageNames property.

      For example, to add a new item, do as follows:

              getTackMessageNames().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getReference

          public String getReference()

      Gets the value of the reference property.
      Returns:
        possible object is `String`

    - #### setReference

          public void setReference(String value)

      Sets the value of the reference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.